Eclipse Draw2d 3.2

## org.eclipse.draw2d
Class FreeformLayout

    java.lang.Object
      org.eclipse.draw2d.AbstractLayout
          org.eclipse.draw2d.XYLayout
              org.eclipse.draw2d.FreeformLayout

All Implemented Interfaces:
  LayoutManager

public class FreeformLayout
extends XYLayout

A layout for `FreeformFigures`.

Field Summary

Fields inherited from class org.eclipse.draw2d.XYLayout
`constraints`

Fields inherited from class org.eclipse.draw2d.AbstractLayout
`isObservingVisibility, preferredSize`

Constructor Summary
`FreeformLayout()`

Method Summary
`Point` `getOrigin(IFigure figure)` Returns the point (0,0) as the origin.

Methods inherited from class org.eclipse.draw2d.XYLayout
`calculatePreferredSize, getConstraint, layout, remove, setConstraint`

Methods inherited from class org.eclipse.draw2d.AbstractLayout
`calculatePreferredSize, getBorderPreferredSize, getMinimumSize, getMinimumSize, getPreferredSize, getPreferredSize, invalidate, invalidate, isObservingVisibility, setObserveVisibility`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FreeformLayout

    public FreeformLayout()

Method Detail

### getOrigin

    public Point getOrigin(IFigure figure)

  Returns the point (0,0) as the origin.

  Overrides:
    `getOrigin` in class `XYLayout`
  Parameters:
    `figure` - the figure whose origin is requested
  Returns:
    the origin
  See Also:
    `XYLayout.getOrigin(IFigure)`

Eclipse Draw2d 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.